using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class member_api_login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            string token = Request.QueryString["token"];
            string appID = string.Empty;
            string appKEY = string.Empty;

            if (!string.IsNullOrEmpty(Session["qq"] as string))
            {
                appID = xml.read("xabara.config", "qqAppID", 180);
                appKEY = xml.read("xabara.config", "qqAppKey", 180);
            }

            encryptDecrypt ed = new encryptDecrypt();
            if (!token.Equals(ed.encryptStr(appID + appKEY)))   //验证基本合法性
            {
                Response.Redirect("/member/", true);
            }
        }
    }
}